
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>SQS Failed Message</strong>
</div>

<!--  -- >
<div class="medium" style="color: #7f7f7f">
Se scegli di contrassegnare quest'opera come non codificabile, il sistema assocer&agrave;
a questa combinazione anagrafica un codice opera speciale che consentir&agrave; di
riconoscere l'opera come non codificabile anche per le future utilizzazioni.
</div>
<!--  -->

<div style="margin-top: 5px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="4">Messaggio</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Coda
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" >
						<span class="span10">{{ctrl.sqsFailed.queueName}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap>
					<label class="muted pull-right marginRight10px">
						Data Ricezione
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" >
						<span class="span10">{{ctrl.sqsFailed.receiveTime | date:'medium'}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						UUID
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.sqsFailed.json.header.uuid}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Error Code
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.sqsFailed.json.error.code}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Error Description
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.sqsFailed.json.error.description}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Message JSON
					</label>
				</td>
				<td class="fieldValue medium"  ng-hide="!ctrl.sqsFailed.json">
					<div class="row-fluid"">
						<textarea class="span10" rows="8">{{ctrl.sqsFailed.json | json}}</textarea>
					</div>
				</td>
				<td class="fieldValue medium" ng-hide="!ctrl.sqsFailed.jsonError">
					<div class="row-fluid"">
						<span class="span10" style="color: red;">{{ctrl.sqsFailed.jsonError}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Message Text
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<textarea class="span10" rows="8">{{ctrl.sqsFailed.messageJson}}</textarea>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
<!--  -- >
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
<!-- -->
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
